——   阿里云购买流程   ——
加入阿里云合作伙伴[云创得力]关联大客户账户购买阿里云产品,享受更多优惠
1.申请产品优惠

咨询客服或网络在线咨询,协助上云服务
点击关联阿里云填写表单,等待客服服务

2.关联大客户账户

①无账号:客服微信发送的注册链接进行关联
②已注册阿里云:客服微信发送关联链接
续费、充值、新购均享优惠。

3.阿里云官网提交订单

产品架构师协助客户挑选配置
阿里云官网选配置提交订单

4.付款开通

付款后,即可申请阿里云原价发票

5.申请阿里云发票凭据

购买后可申请阿里云原价发票

6.技术服务

免费协助配置、备案,售后7*24反馈,全周期专业服务
最高可选208 vCPU,内存3072 GiB,带宽35GBps

热门产品  :
上云必购  :
云服务器 ECS hot
云虚拟主机 hot
云数据库 RDS MySQL 版
云数据库 Redis 版
云数据库 HBase 版
对象存储 OSS
块存储
表格存储
负载均衡
共享流量包
全站加速 CDN
弹性公网 IP
VPN 网关
产品搭配  :
域名注册 hot
阿里企业邮箱 hot
短信服务
日志服务 SLS
内容安全
SSL 证书
号码隐私保护
实时计算 Flink 版
堡垒机
消息队列 Kafka
数据库审计
核心产品  :
DDoS 防护 hot
WEB应用防火墙 hot
SSL 证书
云防火墙
漏洞扫描
CDN
渗透测试
游戏盾
企业应用  :
网站建设 hot
企业网站定制 hot
小程序云
短信服务

Centos 7.4 安装GNOME Desktop错误解决

发布时间:2020-12-09 10:44:51

  在安装KVM时,为了更好地方便后期安装虚拟机,随时安装了GNOMEDesktop,如此能够随时桌面型操作管理,在安装KVM相关控件后,启动vncserver报错,给出:

  错误概要:

  该问题是考虑到fwupdate-efi组件与grub2-common冲突造成安装出错,此刻能够通过更新grub2-common组件,来处置。

  给出:

[root@localhost home]# systemctl status -l vncserver@:1.service

● vncserver@:1.service - Remote desktop service (VNC)
Loaded: loaded (/usr/lib/systemd/system/vncserver@:1.service; enabled; vendor preset: disabled)
Active: inactive (dead) since 二 2019-07-30 10:01:37 CST; 7min ago
Main PID: 10855 (code=exited, status=0/SUCCESS)

7月 30 10:01:34 localhost.localdomain systemd[1]: Starting Remote desktop service (VNC)...
7月 30 10:01:37 localhost.localdomain systemd[1]: Started Remote desktop service (VNC).

[root@localhost home]# vncserver

New 'localhost.localdomain:1 (root)' desktop is localhost.localdomain:1

Starting applications specified in /root/.vnc/xstartup
Log file is /root/.vnc/localhost.localdomain:1.log

通过查看日志分析:


[root@localhost home]# more /root/.vnc/localhost.localdomain:1.log

Xvnc TigerVNC 1.8.0 - built Nov 2 2018 19:05:14
Copyright (C) 1999-2017 TigerVNC Team and many others (see README.txt)
See http://www.tigervnc.org for information on TigerVNC.
Underlying X server release 12001000, The X.Org Foundation

Tue Jul 30 10:04:03 2019
vncext: VNC extension running!
vncext: Listening for VNC connections on all interface(s), port 5901
vncext: created VNC server for screen 0
The XKEYBOARD keymap compiler (xkbcomp) reports:

Internal error: Could not resolve keysym XF86WWAN

Internal error: Could not resolve keysym XF86RFKill

Errors from xkbcomp are not fatal to the X server

Killing Xvnc process ID 11012


yum groupinstall "GNOME Desktop" "Graphical Administration Tools" -y

总计 

1.6 MB/s | 2.4 MB 00:00:01 

Running transaction check

Running transaction test


Transaction check error:

file /boot/efi/EFI/centos from install of fwupdate-efi-12-5.el7.centos.x86_64 conflicts with file from package grub2-common-1:2.02-0.64.el7.centos.noarch


错误概要:

该问题是由于fwupdate-efi 组件与grub2-common冲突导致安装出错,这时可以通过更新grub2-common组件,来处理。

[root@localhost ~]# yum update grub2-common
已加载插件:fastestmirror, langpacks
Loading mirror speeds from cached hostfile
  • base: mirrors.aliyun.com

  • epel: mirrors.aliyun.com

  • extras: mirrors.aliyun.com

  • updates: mirrors.aliyun.com

正在解决依赖关系

--> 正在检查事务

---> 软件包 grub2-common.noarch.1.2.02-0.64.el7.centos 将被 升级

--> 正在处理依赖关系 grub2-common = 1:2.02-0.64.el7.centos,它被软件包 1:grub2-tools-2.02-0.64.el7.centos.x86_64 需要

--> 正在处理依赖关系 grub2-common = 1:2.02-0.64.el7.centos,它被软件包 1:grub2-tools-minimal-2.02-0.64.el7.centos.x86_64 需要

--> 正在处理依赖关系 grub2-common = 1:2.02-0.64.el7.centos,它被软件包 1:grub2-pc-2.02-0.64.el7.centos.x86_64 需要

--> 正在处理依赖关系 grub2-common = 1:2.02-0.64.el7.centos,它被软件包 1:grub2-pc-modules-2.02-0.64.el7.centos.noarch 需要

--> 正在处理依赖关系 grub2-common = 1:2.02-0.64.el7.centos,它被软件包 1:grub2-tools-extra-2.02-0.64.el7.centos.x86_64 需要

---> 软件包 grub2-common.noarch.1.2.02-0.76.el7.centos.1 将被 更新

--> 正在检查事务

---> 软件包 grub2-pc.x86_64.1.2.02-0.64.el7.centos 将被 升级

--> 正在处理依赖关系 grub2-pc = 1:2.02-0.64.el7.centos,它被软件包 1:grub2-2.02-0.64.el7.centos.x86_64 需要

---> 软件包 grub2-pc.x86_64.1.2.02-0.76.el7.centos.1 将被 更新

---> 软件包 grub2-pc-modules.noarch.1.2.02-0.64.el7.centos 将被 升级

---> 软件包 grub2-pc-modules.noarch.1.2.02-0.76.el7.centos.1 将被 更新

---> 软件包 grub2-tools.x86_64.1.2.02-0.64.el7.centos 将被 取代

---> 软件包 grub2-tools.x86_64.1.2.02-0.64.el7.centos 将被 升级

---> 软件包 grub2-tools.x86_64.1.2.02-0.76.el7.centos.1 将被 舍弃

---> 软件包 grub2-tools-extra.x86_64.1.2.02-0.64.el7.centos 将被 升级

---> 软件包 grub2-tools-extra.x86_64.1.2.02-0.76.el7.centos.1 将被 舍弃

---> 软件包 grub2-tools-minimal.x86_64.1.2.02-0.64.el7.centos 将被 升级

---> 软件包 grub2-tools-minimal.x86_64.1.2.02-0.76.el7.centos.1 将被 舍弃

--> 正在检查事务

---> 软件包 grub2.x86_64.1.2.02-0.64.el7.centos 将被 升级

---> 软件包 grub2.x86_64.1.2.02-0.64.el7.centos 将被 取代

---> 软件包 grub2.x86_64.1.2.02-0.76.el7.centos.1 将被 舍弃

--> 解决依赖关系完成


依赖关系解决

==================================================================================

Package 架构 版本 源 大小


正在安装:

grub2 x86_64 1:2.02-0.76.el7.centos.1 updates 31 k

替换 grub2.x86_64 1:2.02-0.64.el7.centos

grub2-tools x86_64 1:2.02-0.76.el7.centos.1 updates 1.8 M

替换 grub2-tools.x86_64 1:2.02-0.64.el7.centos

grub2-tools-extra x86_64 1:2.02-0.76.el7.centos.1 updates 995 k

替换 grub2-tools.x86_64 1:2.02-0.64.el7.centos

grub2-tools-minimal x86_64 1:2.02-0.76.el7.centos.1 updates 172 k

替换 grub2-tools.x86_64 1:2.02-0.64.el7.centos

正在更新:

grub2-common noarch 1:2.02-0.76.el7.centos.1 updates 728 k

为依赖而更新:

grub2-pc x86_64 1:2.02-0.76.el7.centos.1 updates 31 k

grub2-pc-modules noarch 1:2.02-0.76.el7.centos.1 updates 846 k


概要

安装 4 软件包

升级 1 软件包 (+2 依赖软件包)


总下载量:4.5 M

Is this ok [y/d/N]: y

Downloading packages:

(1/7): grub2-2.02-0.76.el7.centos.1.x86_64.rpm | 31 kB 00:00:00 

(2/7): grub2-pc-2.02-0.76.el7.centos.1.x86_64.rpm | 31 kB 00:00:00 

(3/7): grub2-common-2.02-0.76.el7.centos.1.noarch.rpm | 728 kB 00:00:00 

(4/7): grub2-pc-modules-2.02-0.76.el7.centos.1.noarch.rpm | 846 kB 00:00:00 

(5/7): grub2-tools-2.02-0.76.el7.centos.1.x86_64.rpm | 1.8 MB 00:00:00 

(6/7): grub2-tools-extra-2.02-0.76.el7.centos.1.x86_64.rpm | 995 kB 00:00:00 

(7/7): grub2-tools-minimal-2.02-0.76.el7.centos.1.x86_64.rpm | 172 kB 00:00:00


总计 4.5 MB/s | 4.5 MB 00:00:00 

Running transaction check

Running transaction test

Transaction test succeeded

Running transaction

正在更新 : 1:grub2-common-2.02-0.76.el7.centos.1.noarch 1/14 

正在安装 : 1:grub2-tools-minimal-2.02-0.76.el7.centos.1.x86_64 2/14 

正在安装 : 1:grub2-tools-2.02-0.76.el7.centos.1.x86_64 3/14 

正在安装 : 1:grub2-tools-extra-2.02-0.76.el7.centos.1.x86_64 4/14 

正在更新 : 1:grub2-pc-modules-2.02-0.76.el7.centos.1.noarch 5/14 

正在更新 : 1:grub2-pc-2.02-0.76.el7.centos.1.x86_64 6/14 

正在安装 : 1:grub2-2.02-0.76.el7.centos.1.x86_64 7/14 

清理 : 1:grub2-2.02-0.64.el7.centos.x86_64 8/14 

清理 : 1:grub2-pc-2.02-0.64.el7.centos.x86_64 9/14 

清理 : 1:grub2-tools-extra-2.02-0.64.el7.centos.x86_64 10/14 

清理 : 1:grub2-pc-modules-2.02-0.64.el7.centos.noarch 11/14 

清理 : 1:grub2-tools-minimal-2.02-0.64.el7.centos.x86_64 12/14 

清理 : 1:grub2-tools-2.02-0.64.el7.centos.x86_64 13/14 

清理 : 1:grub2-common-2.02-0.64.el7.centos.noarch 14/14 

验证中 : 1:grub2-pc-2.02-0.76.el7.centos.1.x86_64 1/14 

验证中 : 1:grub2-common-2.02-0.76.el7.centos.1.noarch 2/14 

验证中 : 1:grub2-tools-2.02-0.76.el7.centos.1.x86_64 3/14 

验证中 : 1:grub2-2.02-0.76.el7.centos.1.x86_64 4/14 

验证中 : 1:grub2-pc-modules-2.02-0.76.el7.centos.1.noarch 5/14 

验证中 : 1:grub2-tools-minimal-2.02-0.76.el7.centos.1.x86_64 6/14 

验证中 : 1:grub2-tools-extra-2.02-0.76.el7.centos.1.x86_64 7/14 

验证中 : 1:grub2-tools-minimal-2.02-0.64.el7.centos.x86_64 8/14 

验证中 : 1:grub2-tools-extra-2.02-0.64.el7.centos.x86_64 9/14 

验证中 : 1:grub2-pc-2.02-0.64.el7.centos.x86_64 10/14 

验证中 : 1:grub2-common-2.02-0.64.el7.centos.noarch 11/14 

验证中 : 1:grub2-tools-2.02-0.64.el7.centos.x86_64 12/14 

验证中 : 1:grub2-tools-2.02-0.64.el7.centos.x86_64 13/14 

验证中 : 1:grub2-2.02-0.64.el7.centos.x86_64 14/14 

验证中 : 1:grub2-2.02-0.64.el7.centos.x86_64 15/14 

验证中 : 1:grub2-pc-modules-2.02-0.64.el7.centos.noarch 16/14


已安装:

grub2.x86_64 1:2.02-0.76.el7.centos.1 grub2-tools.x86_64 1:2.02-0.76.el7.centos.1 

grub2-tools-extra.x86_64 1:2.02-0.76.el7.centos.1 grub2-tools-minimal.x86_64 1:2.02-0.76.el7.centos.1


更新完毕:

grub2-common.noarch 1:2.02-0.76.el7.centos.1


作为依赖被升级:

grub2-pc.x86_64 1:2.02-0.76.el7.centos.1 grub2-pc-modules.noarch 1:2.02-0.76.el7.centos.1


替代:

grub2.x86_64 1:2.02-0.64.el7.centos grub2-tools.x86_64 1:2.02-0.64.el7.centos


完毕!

[root@localhost ~]#

然后在重新安装

yum groupinstall "GNOME Desktop" "Graphical Administration Tools" -y
[root@localhost ~]# systemctl status -l vncserver@:1.service
● vncserver@:1.service - Remote desktop service (VNC)
Loaded: loaded (/usr/lib/systemd/system/vncserver@:1.service; enabled; vendor preset: disabled)
Active: active (running) since 二 2019-07-30 11:09:26 CST; 12s ago
Main PID: 45172 (Xvnc)
CGroup: /system.slice/system-vncserver.slice/vncserver@:1.service
? 45172 /usr/bin/Xvnc :1 -auth /root/.Xauthority -desktop localhost.localdomain:1 (root) -fp catalogue:/etc/X11/fontpath.d -geometry 1024x768 -pn -rfbauth /root/.vnc/passwd -rfbport 5901 -rfbwait 30000


7月 30 11:09:23 localhost.localdomain systemd[1]: Starting Remote desktop service (VNC)...

7月 30 11:09:26 localhost.localdomain systemd[1]: Started Remote desktop service (VNC).

这时在启动vncser就可以。



产品问题、配置报价、售后请添加微信客服
产品使用问题、技术团队微信学习交流群(实时更新)